## org.eclipse.uml2.codegen.ecore.genmodel
Interface GenEnumLiteral

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.codegen.ecore.genmodel.GenBase, org.eclipse.emf.codegen.ecore.genmodel.GenEnumLiteral, org.eclipse.emf.common.notify.Notifier

    public interface GenEnumLiteral

extends org.eclipse.emf.codegen.ecore.genmodel.GenEnumLiteral, GenBase

A representation of the model object 'Gen Enum Literal'.

See Also:
  `GenModelPackage.getGenEnumLiteral()`

Method Summary

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenEnumLiteral
`getCapName, getEcoreEnumLiteral, getEnumLiteralAccessorName, getEnumLiteralID, getEnumLiteralInstanceConstantName, getEnumLiteralValueConstantName, getFormattedName, getGenEnum, getGenPackage, getLiteral, getModelInfo, getName, getValue, initialize, reconcile, setEcoreEnumLiteral, setGenEnum`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getEcoreModelElement, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase

`canGenerate, canGenerateEdit, canGenerateEditor, canGenerateSchema, canGenerateTests, capName, format, gen, genEdit, genEditor, generate, generate, generateEdit, generateEdit, generateEditor, generateEditor, generateSchema, generateSchema, generateTests, generateTests, genSchema, genTests, getCopyright, getDocumentation, getEcoreModelElement, getGenAnnotation, getGenAnnotations, getGenModel, hasCopyright, hasDocumentation, reconcile, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.